// main02.cc is a part of the PYTHIA event generator.
// Copyright (C) 2014 Torbjorn Sjostrand.
// PYTHIA is licenced under the GNU GPL version 2, see COPYING for details.
// Please respect the MCnet Guidelines, see GUIDELINES for details.

// This is a simple test program. It fits on one slide in a talk.
// It studies the pT_Z spectrum at the Tevatron.
#include <ctime>

#include <fstream>
using namespace std;

#include "Pythia8/Pythia.h"
using namespace Pythia8;
int main() {
  // Generator. Process selection. Tevatron initialization. Histogram.
  Pythia pythia;
  //pythia.readString("Beams:idB = -2212");
  pythia.readString("Beams:eCM = 13000");
  //  pythia.readString("WeakSingleBoson:ffbar2gmZ = on");
  pythia.readString("HiggsSM:all = on");
  //pythia.readString("HiggsSM:ffbar2H = on");
  //pythia.readString(" HiggsSM:gg2H = on");
  //pythia.readString("HiggsSM:ff2Hff(t:ZZ) = on");

  pythia.readString("25:m0 = 125");
  //  pythia.readString(" HiggsSM:NLOWidths = on");
  //  pythia.readString("25:onMode = off");
  //  pythia.readString("25:onIfAny = 13"); // allow decay to muons
  //  pythia.readString("PhaseSpace:mHatMin = 80.");
  //  pythia.readString("PhaseSpace:mHatMax = 120.");

  pythia.readString("PDF:pSet = 8");

  pythia.init();

  ofstream fOUT;
  fOUT.open ("mass.out");

  for (int iEvent = 0; iEvent < 1000; ++iEvent) {
    if (!pythia.next()) continue;

    int idH = 0;
    for (int i = 0; i < pythia.event.size(); ++i)
      if (pythia.event[i].id() == 25) idH = i;
    double mass = pythia.event[idH].m();
    cout << "mass = " << std::setprecision(9) << mass << endl;
    fOUT << std::setprecision(9) << mass << endl;
  }

  fOUT.close();
  pythia.stat();

  return 0;
}
